# Hello, world
[Applications]

## Detailed Description

A small example showing how to write applications with protosockets.

## Files

file | hello-world.h
| Header file for an example of how to write uIP applications with protosockets.

file | hello-world.c
| An example of how to write uIP applications with protosockets.

## Data Structures

struct | hello_world_state

## Defines

#define | UIP_APPCALL hello_world_appcall

## Functions

void | hello_world_appcall (void)
void | hello_world_init (void)